<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/expansionactionclosevehicledoor.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dc7/a02744_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionclosevehicledoor.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dc7/a02744.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/ddd/a07085.html">ExpansionActionCloseVehicleDoor</a>: ActionInteractBase</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">    3</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#a29dbe8959c1713f2ec9051b68d0ab3e6">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/ddd/a07085.html#a29dbe8959c1713f2ec9051b68d0ab3e6">ExpansionActionCloseVehicleDoor</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ALL;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="comment">//m_StanceMask = DayZPlayerConstants.STANCEMASK_ERECT | DayZPlayerConstants.STANCEMASK_CROUCH;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_HUDCursorIcon = CursorIcons.CloseDoors;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#ab44af50532d4822f240c75374140a737">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/ddd/a07085.html#ab44af50532d4822f240c75374140a737">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNone;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#a1920d2b8edac3b74cef8f2f769dab837">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/ddd/a07085.html#a1920d2b8edac3b74cef8f2f769dab837">GetText</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#close&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#ad5d0672ad3ae19292529e6d9ecd94d19">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/ddd/a07085.html#ad5d0672ad3ae19292529e6d9ecd94d19">ActionCondition</a>( <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a> vehicle;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment"></span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">        //! player inside vehicle</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment"></span>        <span class="keywordflow">if</span> ( player &amp;&amp; player.GetCommand_ExpansionVehicle() )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">if</span> ( Class.CastTo( vehicle, player.GetCommand_ExpansionVehicle().GetTransport() ) )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                <span class="keywordtype">int</span> crewIdx = vehicle.CrewMemberIndex( player );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                <span class="keywordflow">if</span> ( vehicle.GetCarDoorsState( vehicle.GetDoorInvSlotNameFromSeatPos( crewIdx ) ) == CarDoorState.DOORS_MISSING )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a> = vehicle.GetAnimSourceFromSelection( vehicle.GetDoorSelectionNameFromSeatPos( crewIdx ) );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                <span class="keywordflow">if</span> ( crewIdx &lt; 0 || !vehicle.<a class="code hl_function" href="../../d8/d3b/a07441.html#a75411e577e727dc3086142b14c887339">CanReachDoorsFromSeat</a>( <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a>, crewIdx ) )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <span class="keywordflow">if</span> ( crewIdx == 0 || crewIdx == 2 )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                    m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_DRIVER_DOOR_CLOSE;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                <span class="keywordflow">if</span> ( crewIdx == 1 || crewIdx == 3 )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                    m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_CODRIVER_DOORCLOSE;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <span class="comment"></span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment">                //! is in reach, should open the door</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment"></span>                <span class="keywordflow">if</span> ( vehicle.GetAnimationPhase( <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a> ) &gt; 0.5 )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">            //! reach check from outside of vehicle</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment"></span>            <span class="keywordflow">if</span> ( !IsInReach(player, target, UAMaxDistances.DEFAULT) )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment"></span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">            //! player is outside of vehicle</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment"></span>            <span class="keywordflow">if</span> ( Class.CastTo(vehicle, target.GetParent()) )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                array&lt;string&gt; selections = <span class="keyword">new</span> array&lt;string&gt;();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                <a class="code hl_class" href="../../d5/d3e/a07381.html">CarDoor</a> door;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                <span class="keywordflow">if</span> ( Class.CastTo( door, target.GetObject() ) )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                    door.GetActionComponentNameList( target.GetComponentIndex(), selections );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; selections.Count(); i++)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                        <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a> = vehicle.GetAnimSourceFromSelection( selections[i] );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a> != <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                        {<span class="comment"></span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">                            //! if player is in vehicle and cannot reach doors</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment"></span>                            m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment"></span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">                            //! is in reach, should open the door</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment"></span>                            <span class="keywordflow">if</span> ( vehicle.GetAnimationPhase( <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a> ) &gt; 0.5 )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#a83f90084de208448aacf65d47d6f74ea">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/ddd/a07085.html#a83f90084de208448aacf65d47d6f74ea">OnStartServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a> vehicle;<span class="comment"></span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="comment">        //! player inside vehicle</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment"></span>        <span class="keywordflow">if</span> ( action_data.m_Player &amp;&amp; action_data.m_Player.GetCommand_ExpansionVehicle() )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            vehicle = <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a>.Cast( action_data.m_Player.GetCommand_ExpansionVehicle().GetObject() );</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            vehicle = <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a>.Cast( action_data.m_Target.GetParent() );</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">if</span> ( vehicle )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            vehicle.SetAnimationPhase( <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a>, 0.0);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#a9b8a119a663aa6621c36c83b97dccf9f">  105</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/ddd/a07085.html#a9b8a119a663aa6621c36c83b97dccf9f">OnStartClient</a>( ActionData action_data )</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a> vehicle;<span class="comment"></span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="comment">        //! player inside vehicle</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="comment"></span>        <span class="keywordflow">if</span>( action_data.m_Player &amp;&amp; action_data.m_Player.GetCommand_ExpansionVehicle() )</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            vehicle = <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a>.Cast(action_data.m_Player.GetCommand_ExpansionVehicle().GetObject());</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            vehicle = <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a>.Cast(action_data.m_Target.GetParent());</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">if</span>( vehicle )</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            vehicle.SetAnimationPhase( <a class="code hl_variable" href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">m_AnimSource</a>, 0.0);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">if</span> ( !GetGame().IsMultiplayer() || GetGame().IsClient() )</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>                SEffectManager.PlaySound(<span class="stringliteral">&quot;offroad_door_close_SoundSet&quot;</span>, vehicle.GetPosition() );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../de/ddd/a07085.html#a022c4a48aad9c63d27dfbd1541c04534">  126</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/ddd/a07085.html#a022c4a48aad9c63d27dfbd1541c04534">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>}</div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04713_html"><div class="ttname"><a href="../../da/d6d/a04713.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa07085_html"><div class="ttname"><a href="../../de/ddd/a07085.html">ExpansionActionCloseVehicleDoor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00001">expansionactionclosevehicledoor.c:2</a></div></div>
<div class="ttc" id="aa07085_html_a022c4a48aad9c63d27dfbd1541c04534"><div class="ttname"><a href="../../de/ddd/a07085.html#a022c4a48aad9c63d27dfbd1541c04534">ExpansionActionCloseVehicleDoor::CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00126">expansionactionclosevehicledoor.c:126</a></div></div>
<div class="ttc" id="aa07085_html_a1920d2b8edac3b74cef8f2f769dab837"><div class="ttname"><a href="../../de/ddd/a07085.html#a1920d2b8edac3b74cef8f2f769dab837">ExpansionActionCloseVehicleDoor::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00019">expansionactionclosevehicledoor.c:19</a></div></div>
<div class="ttc" id="aa07085_html_a26d0f4531efd0f2fc984362768dbd1f5"><div class="ttname"><a href="../../de/ddd/a07085.html#a26d0f4531efd0f2fc984362768dbd1f5">ExpansionActionCloseVehicleDoor::m_AnimSource</a></div><div class="ttdeci">string m_AnimSource</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00003">expansionactionclosevehicledoor.c:3</a></div></div>
<div class="ttc" id="aa07085_html_a29dbe8959c1713f2ec9051b68d0ab3e6"><div class="ttname"><a href="../../de/ddd/a07085.html#a29dbe8959c1713f2ec9051b68d0ab3e6">ExpansionActionCloseVehicleDoor::ExpansionActionCloseVehicleDoor</a></div><div class="ttdeci">void ExpansionActionCloseVehicleDoor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00005">expansionactionclosevehicledoor.c:5</a></div></div>
<div class="ttc" id="aa07085_html_a83f90084de208448aacf65d47d6f74ea"><div class="ttname"><a href="../../de/ddd/a07085.html#a83f90084de208448aacf65d47d6f74ea">ExpansionActionCloseVehicleDoor::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00087">expansionactionclosevehicledoor.c:87</a></div></div>
<div class="ttc" id="aa07085_html_a9b8a119a663aa6621c36c83b97dccf9f"><div class="ttname"><a href="../../de/ddd/a07085.html#a9b8a119a663aa6621c36c83b97dccf9f">ExpansionActionCloseVehicleDoor::OnStartClient</a></div><div class="ttdeci">override void OnStartClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00105">expansionactionclosevehicledoor.c:105</a></div></div>
<div class="ttc" id="aa07085_html_ab44af50532d4822f240c75374140a737"><div class="ttname"><a href="../../de/ddd/a07085.html#ab44af50532d4822f240c75374140a737">ExpansionActionCloseVehicleDoor::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00013">expansionactionclosevehicledoor.c:13</a></div></div>
<div class="ttc" id="aa07085_html_ad5d0672ad3ae19292529e6d9ecd94d19"><div class="ttname"><a href="../../de/ddd/a07085.html#ad5d0672ad3ae19292529e6d9ecd94d19">ExpansionActionCloseVehicleDoor::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc7/a02744_source.html#l00024">expansionactionclosevehicledoor.c:24</a></div></div>
<div class="ttc" id="aa07381_html"><div class="ttname"><a href="../../d5/d3e/a07381.html">CarDoor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d32/a02951_source.html#l00001">cardoor.c:2</a></div></div>
<div class="ttc" id="aa07441_html"><div class="ttname"><a href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d8b/a02996_source.html#l00017">expansionvehiclebikebase.c:18</a></div></div>
<div class="ttc" id="aa07441_html_a75411e577e727dc3086142b14c887339"><div class="ttname"><a href="../../d8/d3b/a07441.html#a75411e577e727dc3086142b14c887339">ExpansionVehicleBase::CanReachDoorsFromSeat</a></div><div class="ttdeci">override bool CanReachDoorsFromSeat(string pDoorsSelection, int pCurrentSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d8b/a02996_source.html#l00100">expansionvehiclebikebase.c:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_bdf590611e398cb162e788e5239471a6.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_bed0f916786f5b73767adc31cd2f6bb1.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_c7b15e03556fbb96189670c7c298573c.html">interact</a></li><li class="navelem"><a class="el" href="../../d5/dc7/a02744.html">expansionactionclosevehicledoor.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
